package com.ruoyi.warehouseBusiness.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class TWareHouseExcelItem {

    /** 提单号 */
    @Excel(name = "序号")
    private String fId;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /** 业务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /**
     * 费用名称
     */
    @Excel(name = "费用名称")
    private String fFeeid;

    /**
     * 收/付
     */
    @Excel(name = "收/付")
    private String fSrcdc;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal fAmtdr;

    /**
     * 计价单位(数据字典),对应，t_unitfees f_id，如果选择为毛重，数量（f_qty）取主表的毛重，如果选择净重，取主表的净重，如果为箱量，取主表的箱量
     */
    @Excel(name = "计价单位")
    private String fFeeunitid;

    /** 重量 */
    @Excel(name = "数量")
    private BigDecimal fBillingQty;

    /**
     * 单价
     */
    @Excel(name = "单价")
    private BigDecimal fUnitprice;

    /** 本次金额 */
    @Excel(name = "本次金额")
    private BigDecimal fAmt;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private String fBusinessType;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String fBilltype;

    /** 货名 */
    @Excel(name = "货物品名")
    private String fGoodsid;

    /** 品牌 */
    @Excel(name = "品牌")
    private String fMarks;

    /** 计费起始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计费起始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /** 计费截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计费截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBillingDeadline;

    /** 计费天数 */
    @Excel(name = "计费天数")
    private Long fBillingDays;

    /** 库存天数 */
    @Excel(name = "库存天数")
    private Long fInventoryDays;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemarks;

    public String getfId() {
        return fId;
    }

    public void setfId(String fId) {
        this.fId = fId;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(String fFeeid) {
        this.fFeeid = fFeeid;
    }

    public String getfSrcdc() {
        return fSrcdc;
    }

    public void setfSrcdc(String fSrcdc) {
        this.fSrcdc = fSrcdc;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public String getfFeeunitid() {
        return fFeeunitid;
    }

    public void setfFeeunitid(String fFeeunitid) {
        this.fFeeunitid = fFeeunitid;
    }

    public BigDecimal getfBillingQty() {
        return fBillingQty;
    }

    public void setfBillingQty(BigDecimal fBillingQty) {
        this.fBillingQty = fBillingQty;
    }

    public BigDecimal getfUnitprice() {
        return fUnitprice;
    }

    public void setfUnitprice(BigDecimal fUnitprice) {
        this.fUnitprice = fUnitprice;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Date getfChargedate() {
        return fChargedate;
    }

    public void setfChargedate(Date fChargedate) {
        this.fChargedate = fChargedate;
    }

    public Date getfBillingDeadline() {
        return fBillingDeadline;
    }

    public void setfBillingDeadline(Date fBillingDeadline) {
        this.fBillingDeadline = fBillingDeadline;
    }

    public Long getfBillingDays() {
        return fBillingDays;
    }

    public void setfBillingDays(Long fBillingDays) {
        this.fBillingDays = fBillingDays;
    }

    public Long getfInventoryDays() {
        return fInventoryDays;
    }

    public void setfInventoryDays(Long fInventoryDays) {
        this.fInventoryDays = fInventoryDays;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }
}
